import request from '@/utils/request'

// 初始化机床项目
export function initMachineProject() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: 'PDM_项目名称_查询数据'
    }
  })
}
// 组件查询
export function searchgroup(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: 'PDM_组件名称_查询数据',
      param: '机床流水号=' + num
    }
  })
}
// 工艺定额人员查询
export function initPerson() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '人事档案管理_人员_部门与人员_查询数据_根据部门编号',
      param: '考核部门编号=20'
    }
  })
}
// 查询
export function search(pageCurrent, pageSize, check1, val1, check2, val2, check3, val3, check4, val4) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_零件工序_查询数据_已编制工序的全部零件及工序_按机床分组图号人员查',
      param: `机床流水号_check=${check1}&机床流水号=${val1}&组件流水号_check=${check2}&组件流水号=${val2}&零件图号_check=${check3}&零件图号=${val3}&人员编号_check=${check4}&人员编号=${val4}`,
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 显示表1
export function searchtable1(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_零件工序_查询数据_根据工艺计划流水号_工艺定额查询_系数',
      param: '工艺计划流水号=' + num
    }
  })
}
export function searchtable2(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_零件加工路线单_查询数据_系数',
      param: '工艺计划流水号=' + num
    }
  })
}
// 在制零件工艺修改
export function returnEdit(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_在制零件工艺调整_修改工艺_循环',
      param: `工艺计划流水号组=${num}`
    }
  })
}
